Get File Information
curl --request GET \
--url https://api.invaro.ai/api/v1/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invaro.ai/api/v1/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invaro.ai/api/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "72f574a0-b3d2-4a0f-8527-f542e6ea7500",
"filename": "invoice.pdf",
"file_id": "1234567890_invoice.pdf",
"type": "invoice",
"status": "completed",
"size": 84898,
"created_at": "2024-01-07T10:00:00Z",
"completed_at": "2024-01-07T10:05:00Z",
"processed_data": {}
}
}Files API (NEW)
Get File Information
Retrieve detailed information about a specific file
GET
/
files
/
{file_id}
Get File Information
Get File Information
GET/files/{file_id}
Retrieve detailed information about a specific file, including metadata, processing status, and validation results.
Features
- Complete file metadata
- Processing status tracking
- Validation results
- User ownership validation
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
file_id | string | Yes | Unique identifier of the file |
Request
curl "https://api.invaro.ai/api/v1/files/72f574a0-b3d2-4a0f-8527-f542e6ea7500" \
-H "Authorization: Bearer your_api_key"
Response
{
"success": true,
"data": {
"id": "72f574a0-b3d2-4a0f-8527-f542e6ea7500",
"filename": "invoice.pdf",
"file_id": "1234567890_invoice.pdf",
"type": "invoice",
"status": "completed",
"size": 84898,
"created_at": "2024-01-07T10:00:00Z",
"completed_at": "2024-01-07T10:05:00Z",
"processed_data": {
// Extracted document data
}
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | string | Unique file identifier |
filename | string | Original filename |
file_id | string | Internal file storage identifier |
type | string | Document type (auto-detected) |
status | string | Current processing status |
size | integer | File size in bytes |
created_at | string | Upload timestamp (ISO 8601) |
completed_at | string | Processing completion timestamp |
processed_data | object | Extracted document data (when processing is complete) |
Status Values
| Status | Description |
|---|---|
pending | File uploaded, waiting for processing |
processing | Currently being processed |
completed | Processing finished successfully |
failed | Processing failed |
deleted | File has been soft-deleted |
Try It Out
Use the interactive playground above to test the get file information endpoint. You can:- Add your API key in the Authorization header
- Enter a file ID in the path parameter (use a UUID from your uploaded files)
- Execute the request to see detailed file information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the file